Bug 1859261 - xdg-desktop-portal-gtk breaks (Fedora) flatpak build
Summary: xdg-desktop-portal-gtk breaks (Fedora) flatpak build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkit2gtk3
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Catanzaro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-21 15:02 UTC by Milan Crha
Modified: 2020-08-04 01:20 UTC (History)
5 users (show)

Fixed In Version: webkit2gtk3-2.28.4-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-04 01:20:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Milan Crha 2020-07-21 15:02:08 UTC
This commit [1] adds a requirement on xdg-desktop-portal-gtk, which breaks Fedora flatpak (rpm2flatpak) builds [2]. I guess the Requires should be there only when:

   %if !0%{?flatpak}
   Requires:       xdg-desktop-portal-gtk
   %endif

to not bring the requirement inside the flatpak itself.

I didn't notice that problem myself, I've been told about it here [3] (I thought it's an infrastructure issue, because I faced several other recently).

[1] https://src.fedoraproject.org/rpms/webkit2gtk3/c/6ed3a8a7d39defaa849eb024eb5f6ebf389af6b9?branch=master

[2] https://koji.fedoraproject.org/koji/taskinfo?taskID=47490613

[3] https://pagure.io/fedora-infrastructure/issue/9150

Comment 1 Michael Catanzaro 2020-07-21 16:22:21 UTC
Grr

Comment 2 Michael Catanzaro 2020-07-21 17:04:49 UTC
I've already fixed this in dist-git.

Since WebKit updates are huge and we have another upstream update coming very shortly, let's wait a couple days before preparing F32 and F31 updates. I think we should have a new release later this week.

Comment 3 Milan Crha 2020-07-23 08:19:09 UTC
No problem from my side, feel free to wait for the next release & update.

Comment 4 Fedora Update System 2020-07-28 23:01:06 UTC
FEDORA-2020-24b936a870 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-24b936a870

Comment 5 Michael Catanzaro 2020-07-28 23:02:58 UTC
So I'm not actually certain if I've fixed this or not. I changed it from Requires to Recommends. I assume that should be enough to fix the flatpak build? But if not, then we'll need to use %if !0%{?flatpak} like you suggested.

Comment 6 Kalev Lember 2020-07-30 08:34:07 UTC
Thanks! I believe recommends should work here. I'll give it a test as soon as MBS is back in working condition (there's some progress in the ticket now).

Comment 7 Fedora Update System 2020-07-30 19:54:39 UTC
FEDORA-2020-24b936a870 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-24b936a870`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-24b936a870

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Milan Crha 2020-08-03 07:28:27 UTC
Could you let me know once the Flatpak is updated with this build, please? I'm kind of waiting for it ( https://koji.fedoraproject.org/koji/taskinfo?taskID=48490449 ).

Comment 9 Kalev Lember 2020-08-03 15:17:58 UTC
flatpak runtime is updated and now has webkit2gtk3 2.28.4-3. My flatpak rebuilds on Friday (I rebuilt everything to get translations included) all worked fine, so I'm pretty sure the 2.28.4-3 build is fine. I don't know which of these exactly require webkitgtk but some definitely do :)

However, I had an active webkit2gtk3 buildroot override when I was doing the builds which seems to have expired now. Can you try setting up an override again and see if it helps with getting evolution built? (Or wait until the webkit2gtk3 updates goes stable -- looks like it should go tonight.)

Comment 10 Milan Crha 2020-08-03 15:43:20 UTC
Aha, thanks, I didn't know the override works also for the flatpak builds. I'll rather wait for the update to finish and turn into stable, thus it's ensured the next build will work. I may even wait for Friday, when the new release of Evolution will be made.

Comment 11 Fedora Update System 2020-08-04 01:20:48 UTC
FEDORA-2020-24b936a870 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.